<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0"  bgcolor="#FFFFFF">
    <tr>
      <td height="120" colspan="3" align="right" valign="middle">
<!-- LOGO -->
	  <table width="240" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="40" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          <td width="200" align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        </tr>
        <tr>
          <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        </tr>
      </table>
<!-- END LOGO -->
	  </td>
      <td width="657" align="center">
<!-- END MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
		<xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td width="52"></td>
    </tr>
    <tr>
      <td colspan="2"><img src="images/eug_10.jpg" width="240" height="229" alt="" /></td>
      <td width="24"><img src="images/eug_11.jpg" width="24" height="229" alt="" /></td>
      <td colspan="2" align="right" background="images/eug_14.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="100%" height="229" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; "></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td width="46" valign="top" background="images/eug_23.jpg"><img src="images/eug_17.jpg" width="46" height="29" alt="" /></td>
      <td width="194" valign="top" background="images/eug_42.jpg"><table width="194" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="194" height="80" align="center" valign="top" bgcolor="#F7FFAD" style="background-image: url(images/subbg.gif);
	background-repeat: repeat-x;
	background-position: top; ">
<!--  SUBMENU -->
	<table width="165" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
    </table>     
<!-- END SUBMENU -->
</td>
        </tr>
        <tr>
          <td><img src="images/eug_40.jpg" width="194" height="52" alt="" /></td>
        </tr>
        <tr>
          <td></td>
        </tr>
        <tr>
          <td></td>
        </tr>
      </table></td>
      <td valign="top" style="background-image: url(images/eug_19.jpg);
	background-repeat: repeat-x;
	background-position: top; "></td>
      <td width="100%" height="100%" align="left" valign="top" style="background-image: url(images/eug_19.jpg);
	background-repeat: repeat-x;
	background-position: top; padding: 10px;">
	<br/>
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/eug_26.jpg" width="24" height="23" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
	  <!-- END CONTENT --></td>
      <td valign="top" background="images/eug_23.jpg" width="52"><img src="images/eug_22.jpg" width="52" /></td>
    </tr>
    <tr>
      <td width="46" height="174"><img src="images/eug_41.jpg" width="46" height="174" alt="" /></td>
      <td valign="bottom" height="174" background="images/eug_42.jpg"><img src="images/eug_43.jpg" width="194" height="150" alt="" /></td>
      <td valign="bottom" height="174"><img src="images/eug_44.jpg" width="24" height="58" alt="" /></td>
      <td align="right" valign="bottom" style="background-image: url(images/eug_45.jpg);
	background-repeat: repeat-x;
	background-position: left bottom;"><img src="images/eug_46.jpg" width="446" height="58" alt="" /></td>
      <td style="background-image: url(images/eug_30.jpg);
	background-repeat: no-repeat;
	background-position: left bottom;" width="52"></td>
    </tr>
  </table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
            <tr>
              <td width="135" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td width="30" align="left"><img src="images/subd.gif" width="8" height="3" /></td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
            <tr>
              <td width="135" align="left" ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              <td width="30" align="left"><img src="images/subd.gif" width="8" height="3" /></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
   <tr>
     <td height="20" colspan="2"><img src="images/subline.gif" width="165" height="1" /></td>
   </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
 
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
       
           </xsl:when>
           <xsl:otherwise>
		   
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
      
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
